# vcard.h File Reference

`#include <ptclib/url.h>`

Go to the source code of this file.

## Classes

class | PvCard
| Class to represent a vCard as per RFC2426. More...
class | PvCard::Token
| Representation of token (EBNF group, name, iana-token or x-name). More...
class | PvCard::Separator
class | PvCard::ParamValue
| Representation of EBNF param-value. More...
class | PvCard::ParamValues
| Comma separated list of param-value's. More...
class | PvCard::TypeValues
class | PvCard::TextValue
| Representation of EBNF text-value. More...
class | PvCard::TextValues
| Comma separated list of text-value's. More...
class | PvCard::URIValue
class | PvCard::InlineValue
| Representation of EBNF img-inline-value/snd-inline-value. More...
struct | PvCard::MultiValue
struct | PvCard::Address
struct | PvCard::Telephone
struct | PvCard::EMail
struct | PvCard::ExtendedType